Processing: zonal stats python error

2017-09-19 08:44 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.18.12 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25060

Description

Tested on Linux and Windows (raster layer attached) on 2.18.13

2017-09-19T19:29:30    2    Uncaught error while executing algorithm

            Traceback (most recent call last):

              File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 203, in execute

                self.processAlgorithm(progress)

              File "/usr/share/qgis/python/plugins/processing/algs/qgis/ZonalStatistics.py", line 232, in processAlgorithm

                numpy.isnan(srcArray))))

            ValueError: setting an array element with a sequence.

This is a regression as the tools worked fine in previous releases.

Note: if sample polygon(s) are smaller than a pixel size then the tool runs but the output is empty, see also: #17159

On master seems ok, but still #17159

Associated revisions

Revision f14502e4 - 2017-10-04 09:56 AM - Alexander Bruy

[processing] update mask computation code (fix #17161)

History

#1 - 2017-09-28 09:26 AM - Jürgen Fischer

- Description updated

#2 - 2017-09-28 09:27 AM - Jürgen Fischer

- Description updated

#3 - 2017-10-04 09:57 AM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|f14502e441173dbb604178421549bfe5a0bb59ae.
